fop 1.1

## org.apache.fop.render.ps
Interface PSEventProducer

All Superinterfaces:
  EventProducer

    public interface PSEventProducer

extends EventProducer

Event producer interface for events generated by the PostScript renderer.

Nested Class Summary
`static class` `PSEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` `postscriptDictionaryParseError(java.lang.Object source, java.lang.String content, java.lang.Exception e)` A PostScript dictionary could not be parsed.
`void` `postscriptLevel3Needed(java.lang.Object source)` PostScript Level 3 features are necessary.

Method Detail

### postscriptDictionaryParseError

    void postscriptDictionaryParseError(java.lang.Object source,
                                        java.lang.String content,
                                        java.lang.Exception e)

  A PostScript dictionary could not be parsed.

  Parameters:
    `source` - the event source
    `content` - the PostScript content
    `e` - the original exception
  Event severity level:
    ERROR

### postscriptLevel3Needed

    void postscriptLevel3Needed(java.lang.Object source)

  PostScript Level 3 features are necessary.

  Parameters:
    `source` - the event source
  Event severity level:
    FATAL

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.